Subject: Re: [PWE3] [L2tpext] Pseudo-wires: uni-directional o bi-directional?

From: Ignacio Goyret <[email-masked]>
Date: Fri, 18 Jun 2010 12:39:32 -0700

[cross-posting since you posted the same question in PWE3 as well]

Javi wrote:
> A pseudo-wire is: uni-directional o bi-directional?
> 
> I thought that it was necessary to set up two symmetrical TDMoMPLS 
> pseudo-wires (one for each direction) for emulating a bidirectional TDM 
> circuit o HDLC/FR link.

I'm not an MPLS expert (wrong WG) so I can't answer that part of the
question.

But I can tell you that all L2TP sessions are always capable of
bidirectional traffic, regardless of the type of data they may carry.
This is an intrinsic feature of L2TP.

-Ignacio